How to merge two data files from two different waves?
12/13/2021 01:44 PM - amwaj abugamza

Status: Resolved Start date: 12/13/2021
Priority: High % Done: 100%
Assignee:

Category: Data management

Description

Could you please provide me with stata syntax to merge 'j_indresp.dta’ and 'k_indresp.dta’ into one file ?

| need to merge the two files for descriptive statistics about the participants status from 2018 to 20207

thanks in advance
Amwaj

History

#1 - 12/14/2021 01:20 PM - Understanding Society User Support Team
- Status changed from New to Feedback
- % Done changed from 0 to 80

- Private changed from Yes to No

Hello,

(1) Merge into a wide format file, and you only want to keep those who appeared in both datasets
use j_indresp, clear
merge 1:1 pidp using k_indresp, nogen keep(3)

(2) Merge into a wide format file, and you want to keep all those who appeared in either datasets
use j_indresp, clear
merge 1:1 pidp using k_indresp, nogen

(3) Merge into a long format file, and you only want to keep those who appeared in both datasets
use j_indresp, clear

rename j_*

g wave=10

save j, replace

use k_indresp, clear

rename k_ *

g wave=11

append using j

bys pidp: keep if _N==2

(4) Merge into a long format file, and you want to keep all those who appeared in either datasets
use j_indresp, clear

rename j_*

g wave=10

save j, replace

use k_indresp, clear

rename k_ *

g wave=11

append using |

Best wishes,
Understanding Society User Support Team

#2 - 01/27/2022 02:11 PM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- Assignee deleted (Alita Nandi)

- % Done changed from 80 to 100

#3 - 08/22/2023 01:33 PM - Understanding Society User Support Team
- Category changed from Data analysis to Data management
